Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000437Core InformUnderstandingpublic2010-11-24 19:282014-05-07 07:35
ReporterCarolyn 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000437: Inform confused between defining a grammar token and defining synonyms for a class of object
DescriptionThis is the report produced by Inform 7 (build 6F95) on its most recent run through:

Problem. You wrote 'Understand "box" as a cube' : but grammar tokens must have the same outcome whatever the way they are reached, so writing a line like 'Understand "within" or "next to [something]" as "[my token]" must be wrong: one way it produces a thing, the other way it doesn't.

See the manual: 16.13 > New tokens

---------------------------

The error message above was produced by the source code below. If I remove either "understand" statement, it works just fine. I believe that this source code should be compiling correctly but may be confused. Either way, the error message is faulty.
Minimal Source Text To Reproduce
Room 1 is a room.

Color is a kind of value. The color are red and blue.

A cube is a kind of thing. A cube has a color. The color of a cube is usually red. Understand "[color]" 
as a cube. Understand "box" as a cube.
Additional InformationZarf confirmed on intfiction.org that there is a bug involved here. (http://www.intfiction.org/forum/viewtopic.php?f=7&t=1722 [^])
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002333)
graham (administrator)
2014-01-19 14:02

Fixed, though note that as a result,

Understand "[color]" as a cube.

makes any color refer to any cube. But this is logically right.

- Issue History
Date Modified Username Field Change
2010-11-24 19:28 Carolyn New Issue
2010-11-24 21:13 jmcgrew Severity mild => serious
2010-11-24 21:13 jmcgrew Status new => confirmed
2014-01-19 14:02 graham Note Added: 0002333
2014-01-19 14:02 graham Status confirmed => resolved
2014-01-19 14:02 graham Resolution open => fixed
2014-01-19 14:02 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker